Create an SMS template embed to create a brand new SMS template
curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/sms_templates/embeds \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in": 123
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/sms_templates/embeds"
payload = { "expires_in": 123 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({expires_in: 123})
};
fetch('https://api.pocketflows.com/businesses/{id}/sms_templates/embeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sms_template": "<string>",
"business": "<string>",
"url": "<string>",
"expires_at": "<string>"
}Sms template embeds
Create an SMS template embed to create a brand new SMS template
POST
/
businesses
/
{id}
/
sms_templates
/
embeds
Create an SMS template embed to create a brand new SMS template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
application/json
The number of seconds until the embed will expire
Response
200 - application/json
The created EmailTemplateEmbed object
The ID of the SMS template embed
The ID of the SMS template
The ID of the business
The URL to embed the SMS template editor
When the SMS template embed expires and needs to be regenerated
⌘I